

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.33. logical_parameters &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.34. logical_range_filter" href="logical_range_filter.html" />
    <link rel="prev" title="7.3.32. logical_count" href="logical_count.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/logical_parameters.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="logical_range_filter.html" title="7.3.34. logical_range_filter"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="logical_count.html" title="7.3.32. logical_count"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.33. </span><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="logical-parameters">
<h1><span class="section-number">7.3.33. </span><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code><a class="headerlink" href="#logical-parameters" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.33.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.6 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code> はテスト用のコマンドです。通常はこのコマンドを使う必要はありません。</p>
<p><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code> は次の2つの機能を提供します。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">logical_*</span></code> コマンドが使うパラメーターの現在値を返します。</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">logical_*</span></code> コマンドが使うパラメーターを新しく設定します。</p></li>
</ul>
</div></blockquote>
<p>以下はパラメーターのリストです。</p>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="#logical-parameters-range-index"><span class="std std-ref">range_index</span></a></p></li>
</ul>
</div></blockquote>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>これらのパラメーターの値は各スレッドごとで独立しています。（正確に言うと、 <a class="reference internal" href="../api/grn_ctx.html#c.grn_ctx" title="grn_ctx"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_ctx</span></code></a> 毎に独立しています。）これらのパラメーターを完全に制御したい場合は、これらのパラメーターを使っている間は <a class="reference internal" href="thread_limit.html"><span class="doc">thread_limit</span></a> を使って最大スレッド数を <code class="docutils literal notranslate"><span class="pre">1</span></code> にしてください。</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.33.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで省略できます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters [range_index=null]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.33.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドを使うには事前に <code class="docutils literal notranslate"><span class="pre">sharding</span></code> プラグインを登録します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register sharding
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>引数無しで呼び出すとすべてのパラメーターの現在の値を返します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;auto&quot;}]
</pre></div>
</div>
<p>引数を指定して呼び出すと新しい値を設定できます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index never
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;auto&quot;}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code> は、新しい値を設定するときは、新しい値を設定する前の値を返します。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.33.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.33.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.33.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数が1つあります。</p>
<div class="section" id="range-index">
<span id="logical-parameters-range-index"></span><h4><span class="section-number">7.3.33.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">range_index</span></code><a class="headerlink" href="#range-index" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p><a class="reference internal" href="logical_range_filter.html"><span class="doc">logical_range_filter</span></a> でどのように範囲インデックスを使うかをキーワードで指定します。</p>
<p>指定できるキーワードは以下の通りです。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">auto</span></code> （デフォルト）</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">always</span></code></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">never</span></code></p></li>
</ul>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">auto</span></code> を指定すると、効果がでそうなときだけ範囲インデックスを使います。これがデフォルトの値です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index auto
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;never&quot;}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">always</span></code> を指定すると、常に範囲インデックスを使います。範囲インデックスが使われるケースをテストするときに便利です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index always
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;auto&quot;}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">never</span></code> を指定すると、範囲インデックスは使いません。範囲インデックスが使われないケースをテストするときに便利です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index never
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;always&quot;}]
</pre></div>
</div>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.33.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドは <code class="docutils literal notranslate"><span class="pre">logical_*</span></code> コマンドが使うパラメーターの現在値を返します:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  HEADER,
  {&quot;range_index&quot;: HOW_TO_USE_RANGE_INDEX}
]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HOW_TO_USE_RANGE_INDEX</span></code> の値は次のどれかです。</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">&quot;auto&quot;</span></code></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">&quot;always&quot;</span></code></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">&quot;never&quot;</span></code></p></li>
</ul>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.33. <code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.33.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.33.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.33.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.33.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.33.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.33.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#range-index">7.3.33.4.2.1. <code class="docutils literal notranslate"><span class="pre">range_index</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.33.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="logical_count.html"
                        title="前の章へ"><span class="section-number">7.3.32. </span><code class="docutils literal notranslate"><span class="pre">logical_count</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="logical_range_filter.html"
                        title="次の章へ"><span class="section-number">7.3.34. </span><code class="docutils literal notranslate"><span class="pre">logical_range_filter</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="logical_range_filter.html" title="7.3.34. logical_range_filter"
             >次へ</a> |</li>
        <li class="right" >
          <a href="logical_count.html" title="7.3.32. logical_count"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.33. </span><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>